# test program t020
# more than 2 parts, nonplanar partition
import geompy
import salome
gg = salome.ImportComponentGUI("GEOM")
# create vertices
p0 = geompy.MakeVertex(0., 0., 0.)
vectorZ = geompy.MakeVectorDXDYDZ(0., 0., 100.)
planeZ = geompy.MakePlane(p0, vectorZ, 500.)
# create boxes
box1 = geompy.MakeBoxDXDYDZ(200., 300., 420.)
box1t = geompy.MakeTranslation(box1, 0., -300., -210.)
box2 = geompy.MakeBox(-10., -300., 100., 210., -200., 220.)
box2m = geompy.MakeMirrorByPlane(box2, planeZ)
box3 = geompy.MakeBox(0., -275., 110., 200., -200., 210.)
box3m = geompy.MakeMirrorByPlane(box3, planeZ)
# assemble boxes
block1 = geompy.MakeCut(box1t, box2)
block2 = geompy.MakeCut(block1, box2m)
block3 = geompy.MakeFuse(block2, box3)
block4 = geompy.MakeFuse(block3, box3m)
# create partitions
partition1 = geompy.MakePartition([block4], [box3, box3m])
# add objects in the study
id_solid1 = geompy.addToStudy(partition1,"partition1")
# display the boxes
gg.createAndDisplayGO(id_solid1)
gg.setDisplayMode(id_solid1,1)
